name: Release
on:
  push:
    branches:
      - "main"

env:
  GITEA_TOKEN: ${{ secrets.GITEA_TOKEN }}

permissions:
  contents: read

jobs:
  release:
    name: Release
    runs-on: vps-4
    permissions:
      contents: write
      issues: write 
      pull-requests: write
      id-token: write
    steps:
      - name: Create Release
        uses: https://git.kjan.de/actions/semantic-release@main
        with:
          GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
          GITEA_TOKEN: ${{ secrets.GITEA_TOKEN }}